View Issue Details

IDProjectCategoryView StatusLast Update
0001645FreeCADPatchpublic2014-12-30 20:46
Reporterhobbes1069Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSFedoraOS Version20+
Product Version0.14 
Target VersionFixed in Version0.15 
Summary0001645: Patch build system to use system smesh
DescriptionFor Fedora I'm not allowed to use bundled libraries. For 0.13 the smesh packaged at sourceforge was sufficient but that is not the case for 0.14. I have patched my smesh package based on the the tweaks in freecad but I had to patch the cmake build system to use it.

I have created a patch which allows the end user to use external smesh on demand. It does print a warning that freecad specific tweaks are required.
Additional InformationIn addition, the smesh libraries were being specifically referenced in the dependent modules cmake config instead of using the ${SMESH_LIBRARIES} macro established in the main cmake config. I'm not sure why the bundled smesh works as only two libraries are referenced (StdMeshers & SMESH) but from what I can tell 4 are needed:

rpm -q --requires freecad
[SNIP]
libSMDS.so.5.1()(64bit)
libSMESHDS.so.5.1()(64bit)
libSMESH.so.5.1()(64bit)
libStdMeshers.so.5.1()(64bit)
[SNIP]
TagsSMESH

Relationships

related to 0001574 closedwmayer Patch SMESH to work against new NCollection 

Activities

hobbes1069

2014-07-29 15:38

reporter  

freecad-0.14-smesh.patch (Attachment missing)

Issue History

Date Modified Username Field Change
2014-07-29 15:38 hobbes1069 New Issue
2014-07-29 15:38 hobbes1069 File Added: freecad-0.14-smesh.patch
2014-07-29 20:48 shoogen Relationship added related to 0001574
2014-09-08 07:37 shoogen Tag Attached: SMESH
2014-12-30 20:46 wmayer Changeset attached => FreeCAD Master master a8d24be3
2014-12-30 20:46 wmayer Status new => closed
2014-12-30 20:46 wmayer Resolution open => fixed
2014-12-30 20:46 wmayer Fixed in Version => 0.15